Session Fixation Affecting org.apache.zeppelin:zeppelin Open this link in a new tab package, versions [,0.7.3)


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEZEPPELIN-174516

  • published

    25 Apr 2019

  • disclosed

    23 Apr 2019

  • credit

    Stone Lone

How to fix?

Upgrade org.apache.zeppelin:zeppelin to version 0.7.3 or higher.

Overview

org.apache.zeppelin:zeppelin is a web-based notebook that enables interactive data analytics.

Affected versions of this package are vulnerable to Session Fixation. This could allow an attacker to hijack a valid user session by sending a crafted URL with a predetermined session token to a victim which will then be accepted by the application during the victim's authentication.